<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:ct="http://www.chartistjsf.org/charts"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pass="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<h:head>
		<h:outputStylesheet library="css" name="ideaBoard.css" />
		<h:outputStylesheet library="css" name="w3.css" />
		<!-- <h:outputScript library = "js" name = "fabric.min.js" /> -->
	<f:metadata>
          <f:event type="preRenderView" listener="#{ideaInputBean.onPageLoad}"/>
    </f:metadata>
	</h:head>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/fabric.js/2.3.2/fabric.min.js"/>
	<h:body>
	<script>
			
	</script>
	<h:form id="ideainputform">
		<!-- Options -->
		<div class="w3-bar w3-light-grey w3-padding-small">
			<p:commandLink id="addnewideabutton"
				style="float: right;"
				actionListener="#{ideaInputBean.isLoggedIn}"
				onclick="setTimeout(function() { document.getElementById('ideaInputStepOneModal').style.display='block'; setTimeout(function() {mymap.invalidateSize(); }, 200);},250);" >Jetzt eigenes Projekt einreichen</p:commandLink>
				<p:remoteCommand name ="checkLogin" actionListener="#{ideaInputBean.isLoggedIn}"></p:remoteCommand>
		</div>
		<script>
			checkLogin();
			document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideainputform:addnewideabutton').click();
		</script>
	</h:form>

<h:panelGroup id="wrapperPanel">
    <h:panelGroup id="tableRenderPanel" rendered="#{ideaInputBean.isUserLoggedIn}">
        <ui:include src="stepOneModal.xhtml"/>
        	<ui:include src="overviewModal.xhtml"/>
    </h:panelGroup>
</h:panelGroup>

	</h:body>
	</f:view>
